ChangeSet 1.1474.81.12, 2004/01/16 15:27:26-08:00, stern@rowland.harvard.edu

[PATCH] USB Storage: another unneeded unusual_devs entry

On Fri, 2 Jan 2004, Oliver Neukum wrote:

> Hi Alan,
>
> you seem to like them. Here it is:
>
> usb-storage 3-1:1.0: usb_probe_interface
> usb-storage 3-1:1.0: usb_probe_interface - got id
> usb-storage: This device (0686,4014,0001 S 06 P 50) has unneeded SubClass and Protocol entries in unusual_devs.h
>    Please send a copy of this message to <linux-usb-devel@lists.sourceforge.net>
> scsi1 : SCSI emulation for USB Mass Storage devices
>   Vendor: MINOLTA   Model: DIMAGE  CAMERA    Rev: 1.00
>   Type:   Direct-Access                      ANSI SCSI revision: 02

Thanks Oliver.  Interestingly, it looks as though the unneeded SubClass
and Protocol values were the only reason for keeping this entry, so now it
can be deleted in both 2.4 and 2.6.


 drivers/usb/storage/unusual_devs.h |    7 -------
 1 files changed, 7 deletions(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Tue Jan 20 17:36:41 2004
+++ b/drivers/usb/storage/unusual_devs.h	Tue Jan 20 17:36:41 2004
@@ -45,13 +45,6 @@
  *
  */
 
-/* Patch submitted by Martin Berentsen <berentsen at sent5 dot uni-duisburg dot de> */
-#define US_FL_START_STOP  0x00000004   /* ignore START_STOP commands     */
-UNUSUAL_DEV(  0x0686, 0x4014, 0x0001, 0x0001, 
-		"Minolta",
-		"Dimage S414",
-		US_SC_SCSI, US_PR_BULK, NULL, US_FL_START_STOP), 
-
 UNUSUAL_DEV(  0x03ee, 0x0000, 0x0000, 0x0245, 
 		"Mitsumi",
 		"CD-R/RW Drive",
